Bug 1444336 - etcd man pages missing
Summary: etcd man pages missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: etcd
Version: 7.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Jan Chaloupka
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-21 07:52 UTC by Marko Myllynen
Modified: 2017-11-30 18:42 UTC (History)
3 users (show)

Fixed In Version: etcd-3.2.9-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-30 18:42:50 UTC
Target Upstream Version:
ypu: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3361 normal SHIPPED_LIVE etcd bug fix and enhancement update 2017-11-30 23:42:33 UTC

Description Marko Myllynen 2017-04-21 07:52:41 UTC
Description of problem:
etcd.rpm comes with zero man pages although there are some etcd man pages available online. We should include man page for each etcd.rpm command and configuration file.

Comment 2 Jan Chaloupka 2017-04-21 08:35:23 UTC
Hi Marko,

that sounds good to me. Can you point me to the online man pages? So far I have not been aware of any existing man pages besides the upstream documentation.

Comment 3 Marko Myllynen 2017-04-21 08:49:21 UTC
These I found with quick googling:

http://manpages.org/etcd
http://manpages.org/etcdctl

I'm not sure where they are coming from. I couldn't find a page for etcd.conf.

Thanks.

Comment 4 Jan Chaloupka 2017-04-21 09:02:33 UTC
Thanks. Let's see why upstream has to say about it.

https://github.com/coreos/etcd/issues/7796

Comment 5 Jan Chaloupka 2017-11-06 22:38:56 UTC
Reviving https://github.com/coreos/etcd/issues/7796. With some simple hacks it's quite simple to generate man pages for etcdctl command fully automatically. Can't say the same for etcd. However, once properly done, even the etcd.conf man page could be easily generated.

Comment 6 Jan Chaloupka 2017-11-07 16:45:59 UTC
The etcd.conf file is itself verbose enough. The etcd.conf man be added eventually.

Comment 8 Joy Pu 2017-11-17 03:00:25 UTC
Hi Jan,

Check it with rpm -ql and the man pages are there and use man to check the context. Seems there is one little problem, the title in the corner is not correct.
Take etcdctl3-put as example. The title for it is etcdctl3 but not etcdctl3-put.
Can you help to check this?
 

etcdctl3(1)                                                                                                                        etcdctl3(1)

NAME
       ETCDCTL=3 etcdctl-put - Puts the given key into the store
Others seems OK for me.

Comment 9 Joy Pu 2017-11-20 12:46:25 UTC
Discussed with Jan and report another bug for the .TH problem as it is auto generated. Other part of the man pages looks good. So set this to verified.

Comment 12 errata-xmlrpc 2017-11-30 18:42:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3361


Note You need to log in before you can comment on or make changes to this bug.